This URL moves the given hashes into allow.
Resource URL
PUT /advancedmalware/blockedhashes/<hash>/takeaction/allow
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| hash | Hash | String | Yes |
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| Status | Status | Number |
Example
Request
PUT
https://<NSM_IP>/sdkapi/advancedmalware/blockedhashes/1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16/takeaction/allowResponse
{
“status”:1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4903 | Invalid action |
| 2 | 400 | 3401 | Invalid hash |